java.rmi.server

## Class Operation

- java.lang.Object
- - java.rmi.server.Operation

- Deprecated.
  no replacement

      @Deprecated
      public class Operation
      extends Object

  An `Operation` contains a description of a Java method. `Operation` objects were used in JDK1.1 version stubs and skeletons. The `Operation` class is not needed for 1.2 style stubs (stubs generated with `rmic -v1.2`); hence, this class is deprecated.
  Since:
    JDK1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation(String op)` Deprecated. no replacement

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOperation()` Deprecated. no replacement
    `String` | `toString()` Deprecated. no replacement

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operation

          @Deprecated
          public Operation(String op)

      Deprecated. no replacement
      Creates a new Operation object.
      Parameters:
        `op` - method name
      Since:
        JDK1.1

  - ### Method Detail

    - #### getOperation

          @Deprecated
          public String getOperation()

      Deprecated. no replacement
      Returns the name of the method.
      Returns:
        method name
      Since:
        JDK1.1

    - #### toString

          @Deprecated
          public String toString()

      Deprecated. no replacement
      Returns the string representation of the operation.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.